November 30, 2015, 10:00:29 pm
Welcome, Guest. Please login or register.
Did you miss your activation email
News: Feel free to email any encountered problem at

Arturia Forums

Author Topic: Problems with Spark Updater  (Read 676 times)


  • Apprentice
  • *
  • Posts: 4
  • Karma: 0
Problems with Spark Updater
« on: February 18, 2013, 02:59:46 am »

I downloaded the last version of Spark (1.5) and installed it after uninstalling the stadard version I had on my CD.
But when I run Spark and try to update it everything goes as if the controler updated, but when I restart it it's still in 1.1.2 version.
The steps I follow are :
- Plug Spark controler
- Run Spark on my computer
- Turn the controler on
- Setup > Update Spark MIDI controler

What should be the problem ?

Thanks !


  • Tech-Support
  • Hero Member
  • *
  • Posts: 666
  • Karma: 22
Re: Problems with Spark Updater
« Reply #1 on: February 18, 2013, 09:28:45 am »
1.1.2 is the Firmware version (to date).

1.5 is the software version.

Start Spark software, click on the Spark icon in the middle of the GUI, you will see the versions. If your Spark hardware is connected and synchronized, you will be able to see both the firmware and software versions.


Carbonate design by Bloc
SMF 2.0.11 | SMF © 2015, Simple Machines